Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.operation.polygonize
Class PolygonizeDirectedEdge

    java.lang.Object
      com.vividsolutions.jts.planargraph.GraphComponent
          com.vividsolutions.jts.planargraph.DirectedEdge
              com.vividsolutions.jts.operation.polygonize.PolygonizeDirectedEdge

All Implemented Interfaces:
  java.lang.Comparable

public class PolygonizeDirectedEdge
extends DirectedEdge

A `DirectedEdge` of a `PolygonizeGraph`, which represents an edge of a polygon formed by the graph. May be logically deleted from the graph by setting the `marked` flag.

Version:
  1.7

Field Summary

Fields inherited from class com.vividsolutions.jts.planargraph.DirectedEdge
`angle, cga, edgeDirection, from, p0, p1, parentEdge, quadrant, sym, to`

Fields inherited from class com.vividsolutions.jts.planargraph.GraphComponent
`isMarked, isVisited`

Constructor Summary
`PolygonizeDirectedEdge(Node from, Node to, Coordinate directionPt, boolean edgeDirection)` Constructs a directed edge connecting the `from` node to the `to` node.

Method Summary
`long` | `getLabel()` Returns the identifier attached to this directed edge.
`PolygonizeDirectedEdge` | `getNext()` Returns the next directed edge in the EdgeRing that this directed edge is a member of.
`boolean` | `isInRing()` Returns the ring of directed edges that this directed edge is a member of, or null if the ring has not been set.
`void` | `setLabel(long label)` Attaches an identifier to this directed edge.
`void` | `setNext(PolygonizeDirectedEdge next)` Sets the next directed edge in the EdgeRing that this directed edge is a member of.
`void` | `setRing(EdgeRing edgeRing)` Sets the ring of directed edges that this directed edge is a member of.

Methods inherited from class com.vividsolutions.jts.planargraph.DirectedEdge
`compareDirection, compareTo, getAngle, getCoordinate, getDirectionPt, getEdge, getEdgeDirection, getFromNode, getQuadrant, getSym, getToNode, isRemoved, print, setEdge, setSym, toEdges`

Methods inherited from class com.vividsolutions.jts.planargraph.GraphComponent
`getComponentWithVisitedState, getContext, getData, isMarked, isVisited, setContext, setData, setMarked, setMarked, setVisited, setVisited`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PolygonizeDirectedEdge

    public PolygonizeDirectedEdge(Node from,
                                  Node to,
                                  Coordinate directionPt,
                                  boolean edgeDirection)

  Constructs a directed edge connecting the `from` node to the `to` node.

Parameters:
  `directionPt` - specifies this DirectedEdge's direction (given by an imaginary line from the `from` node to `directionPt`)
  `edgeDirection` - whether this DirectedEdge's direction is the same as or opposite to that of the parent Edge (if any)

Method Detail

### getLabel

    public long getLabel()

  Returns the identifier attached to this directed edge.

### setLabel

    public void setLabel(long label)

  Attaches an identifier to this directed edge.

### getNext

    public PolygonizeDirectedEdge getNext()

  Returns the next directed edge in the EdgeRing that this directed edge is a member of.

### setNext

    public void setNext(PolygonizeDirectedEdge next)

  Sets the next directed edge in the EdgeRing that this directed edge is a member of.

### isInRing

    public boolean isInRing()

  Returns the ring of directed edges that this directed edge is a member of, or null if the ring has not been set.

  See Also:
    `setRing(EdgeRing)`

### setRing

    public void setRing(EdgeRing edgeRing)

  Sets the ring of directed edges that this directed edge is a member of.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD